com.sun.source.util

## Interface Plugin

-     @Exported
      public interface Plugin

  The interface for a javac plug-in.

  The javac plug-in mechanism allows a user to specify one or more plug-ins on the javac command line, to be started soon after the compilation has begun. Plug-ins are identified by a user-friendly name. Each plug-in that is started will be passed an array of strings, which may be used to provide the plug-in with values for any desired options or other arguments.

  Plug-ins are located via a `ServiceLoader`, using the same class path as annotation processors (i.e. `ANNOTATION_PROCESSOR_PATH` or `-processorpath`).

  It is expected that a typical plug-in will simply register a `TaskListener` to be informed of events during the execution of the compilation, and that the rest of the work will be done by the task listener.

  Since:
    1.8

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Get the user-friendly name of this plug-in.
    `void` | `init(JavacTask task, String... args)` Initialize the plug-in for a given compilation task.

- - ### Method Detail

    - #### getName

          String getName()

      Get the user-friendly name of this plug-in.
      Returns:
        the user-friendly name of the plug-in

    - #### init

          void init(JavacTask task,
                    String... args)

      Initialize the plug-in for a given compilation task.
      Parameters:
        `task` - The compilation task that has just been started
        `args` - Arguments, if any, for the plug-in

Copyright © 2005, 2015, Oracle and/or its affiliates. All rights reserved.